Bug 623113 - Invalid serial number recorded in CRL
Summary: Invalid serial number recorded in CRL
Status: CLOSED NOTABUG
Alias: None
Product: Candlepin
Classification: Community
Component: candlepin   
(Show other bugs)
Version: 0.5
Hardware: All Solaris
high
medium
Target Milestone: ---
: ---
Assignee: Bryan Kearney
QA Contact: wes hayutin
URL:
Whiteboard:
Keywords: QA-Closed
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-11 11:24 UTC by spandey
Modified: 2015-05-14 15:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-10 17:31:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attached CRL (938 bytes, application/pkix-crl)
2010-08-11 11:24 UTC, spandey
no flags Details

Description spandey 2010-08-11 11:24:11 UTC
Created attachment 438162 [details]
Attached CRL

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
100%

Prerequisites:
Candlepin1 : on-premises 
Client : RHEL6 with sm version 74 

Steps to repro : 
Login to client console 
subscribe and unsubscribe multiple entitlement 
Verify the unsubscribe serial nuber in CRL 

Expected Result : 
CRL should contain unsubscribed valid serial number 

Actual Result : 
Invalid entry recored in CRL 
ie : Serial Number: 0E

        Revocation Date: Aug 10 16:34:00 2010 GMT

        CRL entry extensions:

            X509v3 CRL Reason Code: 

                Privilege Withdrawn

    Serial Number: 0D

        Revocation Date: Aug 10 16:33:00 2010 GMT

        CRL entry extensions:

            X509v3 CRL Reason Code: 

                Privilege Withdrawn

    Serial Number: 0A

        Revocation Date: Aug 10 16:30:00 2010 GMT

        CRL entry extensions:

            X509v3 CRL Reason Code: 

                Privilege Withdrawn

Comment 1 spandey 2010-08-12 18:18:49 UTC
same issue find with candlepin1

executed command :

subscription-manager-cli unsubscribe --serial=1914

revoked serial number in CRL

Revoked Certificates:
    Serial Number: 077A
        Revocation Date: Aug 12 18:12:00 2010 GMT
        CRL entry extensions:
            X509v3 CRL Reason Code: 
                9

Comment 2 Bryan Kearney 2010-09-10 17:31:48 UTC
I believe 077A is the hexidecimal verison of 1914.


Note You need to log in before you can comment on or make changes to this bug.